import { APIClient } from "./ApiClient";

export class IsoFilesApi {
  /**
   * Upload a new ISO file to the server
   */
  static async Upload(
    file: File,
    progress: (progress: number) => void
  ): Promise<void> {
    const fd = new FormData();
    fd.append("file", file);

    await APIClient.exec({
      method: "POST",
      uri: "/iso/upload",
      formData: fd,
      progress: progress,
    });
  }

  /**
   * Upload iso from URL
   */
  static async UploadFromURL(url: string, filename: string): Promise<void> {
    await APIClient.exec({
      method: "POST",
      uri: "/iso/upload_from_url",
      jsonData: { url: url, filename: filename },
    });
  }
}
